#include "Answer.h"


namespace orxonox{

	RegisterClass(Answer);


	// Constructor:
	Answer::Answer(Context* context) : BaseObject(context) 
	{
	    RegisterObject(Answer);
	}

	void Answer::XMLPort(Element& xmlelement, XMLPort::Mode mode)
	{
		SUPER(Answer, XMLPort, xmlelement, mode);

		XMLPortParam(Answer, "Id", setAnswerId, getAnswerId, xmlelement, mode);
		XMLPortParam(Answer, "answer", setAnswer, getAnswer, xmlelement, mode);
		XMLPortParam(Answer, "nextQuestionId", setNextQuestion, getNextQuestion, xmlelement,mode);
	}

	void Answer::setAnswerId(std::string answerId){
		this->answerId_ = answerId;
	}

	std::string Answer::getAnswerId(){
		return this->answerId_;
	}

	void Answer::setNextQuestion(std::string nextId)
	{
		this->nextQuestionId_ = nextId;
	}

	std::string Answer::getNextQuestion()
	{
		return this->nextQuestionId_;
	}

	void Answer::setAnswer(std::string answer)
	{
		this->answer_ = answer;
	}

	std::string Answer::getAnswer()
	{
		return this->answer_;
	}
}	