#ifndef _Answer_H__
#define _Answer_H__

#include "core/BaseObject.h"
#include "core/XMLPort.h"
#include "core/CoreIncludes.h"
#include <string>

namespace orxonox
{
	
	class Answer : public BaseObject
	{
		public:
			Answer(Context* context);
		// 	virtual ~Answer();
			virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);

			void setAnswerId(std::string answerId); 
			std::string getAnswerId();

			void setNextQuestion(std::string nextId); // "end" um den dialog zu beenden
			std::string getNextQuestion();

			void setAnswer(std::string awns);
			std::string getAnswer();

		private:
			std::string answerId_;
			std::string answer_;
			std::string nextQuestionId_;
	};
}

#endif